当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu 10.10 cannot update
帖子发表于 : 2010-10-25 20:19 

注册: 2006-10-25 12:31
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
最近老是发现这个问题,google解决不了,求正解:
root@root-laptop:~$ sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在对升级进行计算... 完成
下列软件包将被升级:
compiz compiz-core compiz-dev compiz-gnome compiz-plugins fglrx-modaliases
gwibber gwibber-service hpijs hplip hplip-cups hplip-data libc-bin
libc-dev-bin libc6 libc6-dev libdecoration0 libdecoration0-dev libhpmud0
libsane-hpaio nvidia-current nvidia-current-modaliases simple-scan
升级了 23 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 0B/47.6MB 的软件包。
解压缩后会消耗掉 1,888kB 的额外空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
dpkg-deb (子进程):数据: internal gzip read error: '<fd:0>: invalid distance too far back'
tar: 归档文件中异常的 EOF
tar: 归档文件中异常的 EOF
tar: Error is not recoverable: exiting now
dpkg-deb: 子进程 tar 返回了错误号 2
dpkg:处理 /var/cache/apt/archives/libc6-dev_2.12.1-0ubuntu8_i386.deb (--unpack)时出错:
子进程 dpkg-deb --control 返回了错误号 2
(正在读取数据库 ... 系统当前共安装有 205406 个文件和目录。)
正预备替换 libc-dev-bin 2.12.1-0ubuntu7 (使用 .../libc-dev-bin_2.12.1-0ubuntu8_i386.deb) ...
正在解压缩将用于更替的包文件 libc-dev-bin ...
dpkg-deb (子进程):数据: internal gzip read error: '<fd:0>: invalid distance too far back'
dpkg-deb: 子进程 <解压缩> 返回了错误号 2
dpkg:处理 /var/cache/apt/archives/libc-dev-bin_2.12.1-0ubuntu8_i386.deb (--unpack)时出错:
short read on buffer copy for “./usr/bin/rpcgen” 时,dpkg-deb 被作为后端
正预备替换 libc-bin 2.12.1-0ubuntu7 (使用 .../libc-bin_2.12.1-0ubuntu8_i386.deb) ...
正在解压缩将用于更替的包文件 libc-bin ...
dpkg-deb (子进程):数据: internal gzip read error: '<fd:0>: invalid distance too far back'
dpkg-deb: 子进程 <解压缩> 返回了错误号 2
dpkg:处理 /var/cache/apt/archives/libc-bin_2.12.1-0ubuntu8_i386.deb (--unpack)时出错:
short read on buffer copy for “./usr/bin/getent” 时,dpkg-deb 被作为后端
在处理时有错误发生:
/var/cache/apt/archives/libc6-dev_2.12.1-0ubuntu8_i386.deb
/var/cache/apt/archives/libc-dev-bin_2.12.1-0ubuntu8_i386.deb
/var/cache/apt/archives/libc-bin_2.12.1-0ubuntu8_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
2 楼 
 文章标题 : Re: ubuntu 10.10 cannot update
帖子发表于 : 2010-11-26 22:25 

注册: 2009-10-29 0:43
帖子: 58
送出感谢: 0 次
接收感谢: 0 次
和我的一样 :em20
还不知道怎么解决 .............


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ubuntu 10.10 cannot update
帖子发表于 : 2010-11-26 22:37 

注册: 2010-09-27 12:59
帖子: 2061
送出感谢: 0 次
接收感谢: 0 次
搜索关键词:dpkg-deb: 子进程 返回了错误号


_________________
生活里,有很多转瞬即逝,像在车站的告别,刚刚还相互拥抱,转眼已各自天涯。很多时候,你不懂,我也不懂,就这样,说着说着就变了,听着听着就倦了,看着看着就厌了,跟着跟着就慢了,走着走着就散了,爱着爱着就淡了,想着想着就算了。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: ubuntu 10.10 cannot update
帖子发表于 : 2010-11-26 22:53 

注册: 2009-10-29 0:43
帖子: 58
送出感谢: 0 次
接收感谢: 0 次
我的解决了! :em05
是ESET NOD32 Antivirus for linux (beta)的问题,卸载诺顿软件以后就可以!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译